﻿@model Pidev.Presentation.Models.DoItInOneStep

@{
    Layout = "~/Views/Shared/_template.cshtml";
}
<link href="~/Content/toastr.css" rel="stylesheet" />
<script src="~/Scripts/toastr.js"></script>
@using (Html.BeginForm())
{
    @Html.AntiForgeryToken()

    <div class="col-md-12">
        <!-- general form elements -->
        <div class="card card-primary">
            <div class="card-header">
                <h3 class="card-title">Ajouter un quiz</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form role="form">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="card-body">
                    <div class="form-group">
                        @Html.LabelFor(model => model.QuizName, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.QuizName, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.QuizName, "", new { @class = "text-danger" })
                            <br />
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.QuestionText, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.QuestionText, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.QuestionText, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.choix1, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix1, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix1, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.choix2, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix2, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix2, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.choix3, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix3, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix3, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.choix4, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.choix4, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.choix4, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(model => model.AnswerQ, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.AnswerQ, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.AnswerQ, "", new { @class = "text-danger" })
                        </div>
                    </div>

                </div>
                <!-- /.card-body -->

                <div class="card-footer">
                    <button type="submit" id="123" class="btn btn-primary">Enregister</button>
                    <a class="btn btn-success" data-toggle="modal" data-target=".bootstrapmodal"><span class="glyphicon-eye-open"></span>Ajouter des questions</a>
                </div>
            </form>
        </div>
        <!-- /.card -->

    </div>
    <div class="modal fade bootstrapmodal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class=" modal-header">
                    <button data-dismiss="modal" class="close"><span>&times;</span></button>
                </div>
                <div class="modal-body">

                    @{ Html.RenderPartial("AddMoreQ");}
                </div>
            </div>
        </div>
    </div>
}

@if (TempData["MessageQues"] != null)
{
    <script>
        $("#123").click(function () {
            toastr.success("@TempData["MessageQues"]");
        });
    </script>
}
@section Scripts {
    <link href="~/Content/toastr.css" rel="stylesheet" />
    <script src="~/Scripts/toastr.js"></script>
    @if (TempData["MessageQ"] != null)
    {
        <script type="text/javascript">toastr.success("@TempData["MessageQ"]");</script>
    }
    @if (TempData["MessageQues"] != null)
    {
        <script type="text/javascript">toastr.success("@TempData["MessageQues"]");</script>
    }
}